unit Unit1;

interface

uses
  Windows, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Stdctrls, ExtCtrls, grafobj, kor, teglalap, haromszog, math, paralelogramma;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var k: array [1..16] of TGrafObj;

procedure TForm1.Timer1Timer(Sender: TObject);
var
 i:integer;
begin
 for i:=1 to 16 do k[i].mozdul;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
 i, a, b, s, m, m1, m2:integer;
 mx,my:integer;
 lab : TLabel;
begin
 randomize;
 for i:=1 to 16 do
   begin
     repeat
       mx:=random(5)-2; //-2-tol +2 ig veletlenszeru szam az alakzat nagysaga miatt
       my:=random(5)-2;
     until (mx<>0) or (my<>0);
     if (i>=1) and (i<=4) then //1-4-ig kor
       begin
       s := random(20)+10;
       k[i]:=TKor.Create(max(random(Image1.Width-s),s),
                      max(random(Image1.Height-s),s),
                      mx, my, s, Image1);
       end
       else if (i>=5) and (i<=8)  then //5-8-ig teglalap
        begin
        a := random(50)+10;
        b := random(50)+10;
        k[i]:=TTeglalap.Create(max(random(Image1.Width-a),a),
                      max(random(Image1.Height-b),b),
                      mx, my, a, b, Image1);
        end
     else if (i>=9) and (i<=12) then //9-12-ig haromszog
     begin
       a := random(50)+10;
       m := random(50)+10;
       k[i]:=THaromszog.Create(max(random(Image1.Width-a),a),
                      max(random(Image1.Height-m),m),
                      mx, my, a, m, Image1);
     end
     else if (i>=13) and (i<=16) then //10-16-ig paralelogramma
     begin
       a := random(50)+10;
       m1 := random(50)+10;
       m2 := random(50)+10;
       k[i]:=TPara.Create(max(random(Image1.Width-a),a),
                      //max(random(Image1.Height-m1),m1),
                      max(random(Image1.Height+m2),m2),
                      mx, my, a, m1, m2, Image1);
     end;
     lab := TLabel.Create(self);
     lab.Parent := self;
     lab.Visible := True;
     lab.Left := Image1.Left + Image1.Width + 8;
     lab.Top := image1.Top + (i-1)*round(Image1.Height / 15);
     lab.Font.Name := 'Terminal';
     lab.Font.Style := [];
     k[i].lab := lab;
   end;
   timer1.Enabled := true;
end;

procedure TForm1.FormDestroy(Sender: TObject); //memoria terulet felszabaditasa
var
 i:integer;
begin
 for i:=1 to 16 do k[i].Free;
end;
end.
