unit haromszog;

interface

uses grafobj, ExtCtrls,Graphics;

type THaromszog = class (TGrafObj)
                   private
                     a,m:integer;
                   public
                     constructor Create(kx,ky,kdx,kdy,ka,km:integer; kkep:TImage);
                     procedure kirajzol; override;
                     procedure letorol; override;
                     procedure mozdul; override;
                   end;

implementation

constructor THaromszog.Create;
begin
 a:=ka;
 m:=km;
 inherited Create(kx,ky,kdx,kdy,kkep);
end;

procedure THaromszog.kirajzol; //kirajzolja a haromszoget
begin
 kep.Canvas.Pen.Color := clBlue;
 kep.Canvas.MoveTo(x - a div 2, y + m div 2);
 kep.Canvas.LineTo(x + a div 2, y + m div 2);
 kep.Canvas.LineTo(x, y - m div 2);
 kep.Canvas.LineTo(x - a div 2, y + m div 2);
end;

procedure THaromszog.letorol; //letorli a haromszoget
begin
 kep.Canvas.pen.Width := 2;
 kep.Canvas.Pen.Color := clWhite;
 kep.Canvas.MoveTo(x - a div 2, y + m div 2);
 kep.Canvas.LineTo(x + a div 2, y + m div 2);
 kep.Canvas.LineTo(x, y - m div 2);
 kep.Canvas.LineTo(x - a div 2, y + m div 2);
end;

procedure THaromszog.mozdul; //a haromszog mozgasa
var i,j : integer;
begin
 letorol;
 i := round(a/2);
 j := round(m/2);
 if (x+dx > kep.Width - i) or (x+dx<i) then dx:=-dx;
 x:=x+dx;
 if (y+dy>kep.Height - j) or (y+dy<j) then dy:=-dy;
 y:=y+dy;
 kirajzol;
 WriteKoordinata('H');
end;

end.
