unit teglalap;

interface

uses grafobj, ExtCtrls,Graphics;

type TTeglalap = class (TGrafObj)
                  private
                    a,b:integer;
                  public
                    constructor Create(kx,ky,kdx,kdy,ka,kb:integer; kkep:Timage);
                    procedure kirajzol; override;
                    procedure letorol; override;
                    procedure mozdul; override;
                  end;



implementation

constructor TTeglalap.Create;
begin
 a:=ka;
 b:=kb;
 inherited Create(kx,ky,kdx,kdy,kkep);
end;

procedure TTeglalap.kirajzol; //teglalap kirajzolasa
begin
 kep.Canvas.pen.Width := 2;
 kep.Canvas.Pen.Color := clGreen;
 kep.Canvas.Rectangle(x - a div 2, y - b div 2,
                      x + a div 2, y + b div 2);
end;

procedure TTeglalap.letorol; //teglalap letorlese
begin
 kep.Canvas.pen.Width := 2;
 kep.Canvas.Pen.Color := clWhite;
 kep.Canvas.Rectangle(x - a div 2, y - b div 2,
                      x + a div 2, y + b div 2);
end;

procedure TTeglalap.mozdul; //teglalap mozgasa
var i,j : integer;
begin
 letorol;
 i := round(a/2);
 j := round(b/2);
 if (x+dx > kep.Width - i) or (x+dx<i) then dx:=-dx;
 x:=x+dx;
 if (y+dy>kep.Height - j) or (y+dy<j) then dy:=-dy;
 y:=y+dy;
 kirajzol;
 WriteKoordinata('T');
end;

end.
