unit grafobj;

interface

uses SysUtils, StdCtrls, ExtCtrls;

type IKoordinata = interface
                procedure WriteKoordinata(s : string);
                end;

type TGrafObj = class(TInterfacedObject,IKoordinata)
                private
                  fx,fy: integer;
                  fdx,fdy: integer;
                  fkep: TImage;
                  flab : TLabel;
                public
                  constructor Create(kx,ky,kdx,kdy:integer; kkep:TImage);
                  procedure kirajzol; virtual; abstract;
                  procedure letorol; virtual; abstract;
                  procedure mozdul; virtual; abstract;
                  procedure WriteKoordinata(s : string);
                  property lab : TLabel read flab write flab;
                  property kep : TImage read fkep write fkep;
                  property x : integer read fx write fx;
                  property y : integer read fy write fy;
                  property dx : integer read fdx write fdx;
                  property dy : integer read fdy write fdy;
                end;

implementation

constructor TGrafObj.Create;
begin
 fx:=kx;
 fy:=ky;
 fdx:=kdx;
 fdy:=kdy;
 fkep:=kkep;
 kirajzol;
end;

procedure TGrafObj.WriteKoordinata(s : string);
begin
 if assigned(flab) then flab.Caption := s+' - X: '+format('%3d',[x])+' Y: '+format('%3d',[y]);
end;

end.
