unit kor;

interface

uses grafobj, ExtCtrls,Graphics;

type IKoordinata = interface
                procedure WriteKoordinata;
                end;

type TKor = class (TGrafObj)
             private
               s:integer;
             public
               constructor Create(kx,ky,kdx,kdy,ks:integer; kkep:Timage);
               procedure kirajzol; override;
               procedure letorol; override;
               procedure mozdul; override;
             end;

implementation

constructor TKor.Create;
begin
 s:=ks;
 inherited Create(kx,ky,kdx,kdy,kkep);
end;

procedure TKor.kirajzol; //kor kirajzolasa
begin
 kep.Canvas.pen.Width := 2;
 kep.Canvas.Pen.Color := clRed;
 kep.Canvas.Ellipse(x-s,y-s,x+s,y+s);
end;

procedure TKor.letorol; //kor letorlese
begin
 kep.Canvas.pen.Width := 2;
 kep.Canvas.Pen.Color := clWhite;
 kep.Canvas.Ellipse(x-s,y-s,x+s,y+s);
end;

procedure TKor.mozdul; //kor mozgasa
var i,j : integer;
begin
 letorol;
 i := s;
 j := s;
 if (x+dx > kep.Width - i) or (x+dx<i) then dx:=-dx;
 x:=x+dx;
 if (y+dy>kep.Height - j) or (y+dy<j) then dy:=-dy;
 y:=y+dy;
 kirajzol;
 WriteKoordinata('K');
end;

end.
